class Topic:
    protocol = None

    @classmethod
    def decompose(cls, *parts):
        raise NotImplementedError()

    def __str__(self):
        raise NotImplementedError()

    def __repr__(self):
        return str(self)

    def __eq__(self, other):
        return str(self) == str(other)


class TopicError(Exception):
    """Базовый класс для исключений обработки топиков"""
