from rest_framework import serializers

from spread_dashboard.project.models import *


class LocationSerializer(serializers.ModelSerializer):
    """ Сериализатор модели Location c присоединенными полями из связанной модели Cycle"""
    cycle_id = serializers.IntegerField()
    cycle__name = serializers.CharField()
    cycle__period = serializers.IntegerField()
    class Meta:
        model = Location
        exclude = ['attributes', 'key', 'navigations', 'models', 'cycle']
